Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616171 - Linux_BlockStorageStatisticalData does not look for vda
Linux_BlockStorageStatisticalData does not look for vda
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sblim-cmpi-fsvol (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Vitezslav Crhonek
Yulia Kopkova
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 15:13 EDT by ritz
Modified: 2010-11-10 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version: sblim-cmpi-fsvol-1.5.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:21:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2010-07-19 15:13:23 EDT
Description of problem:

 wbemcli ei 'http://root:redhat@localhost:5988/root/cimv2:Linux_BlockStorageStatisticalData' fails to provide any information


Version-Release number of selected component (if applicable):
1.5.x

How reproducible:
always 

Steps to Reproduce:
1.  yum install tog-pegasus sblim-cmpi-fsvol yum install sblim-wbemcli 
2.  wbemcli ei 'http://root:redhat@localhost:5988/root/cimv2:Linux_BlockStorageStatisticalData'
3.
  
Actual results:
no info

Expected results:
lots on info

Additional info:
virt install has vda instead of sda/hda

Update HD_CMD_26 in sblim-cmpi-fsvol-1.x.x/OSBase_BlockStorageStatisticalData.c to search for vda. 

#define HD_CMD_26 "grep \"[hsv]d[a-z] \" /proc/diskstats"
Comment 2 RHEL Product and Program Management 2010-07-19 15:37:37 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Radek Vokal 2010-07-26 02:52:10 EDT
Hi, the maintainer is out on vacation this week. Can you please verify that this build solves the issue for you? 

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2623849

Thanks
Comment 4 ritz 2010-07-26 10:37:25 EDT
Thanks, looks good.
Comment 7 releng-rhel@redhat.com 2010-11-10 17:21:00 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.